[gucharmap] build: Use autoreconf instead of gnome-autogen



commit 24e954c83fb676e44be08074f25ad837f6842907
Author: Christian Persch <chpe gnome org>
Date:   Mon Jun 3 19:20:31 2013 +0200

    build: Use autoreconf instead of gnome-autogen

 autogen.sh   |   25 ++++++++---------------
 m4/python.m4 |   62 ----------------------------------------------------------
 2 files changed, 9 insertions(+), 78 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index e494548..1e312d0 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,16 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
 
+set -e
+
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-PKG_NAME="gucharmap"
-
-(test -f $srcdir/gucharmap/main.c) || {
-    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
-    echo " top-level $PKG_NAME directory"
-    exit 1
-}
-
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git and make"
-    echo "sure the gnome-autogen.sh script is in your \$PATH."
-    exit 1
-}
+cd "$srcdir"
+mkdir -p m4 >/dev/null 2>&1 || true
+gtkdocize --copy --flavour no-tmpl
+autoreconf --verbose --force --install
+intltoolize --force
+cd -
 
-REQUIRED_INTLTOOL_VERSION=0.40.4
-REQUIRED_AUTOMAKE_VERSION=1.9
-. gnome-autogen.sh
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]